# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration

parameters:
    app_default_uri: '%env(string:APP_DEFAULT_URI)%'
    default_uri_for_pdf_generator: '%env(string:DEFAULT_URI_FOR_PDF_GENERATOR)%'
    files_directory_path: '%env(string:FILES_DIRECTORY_PATH)%'
    hosting_provider_name: '%env(string:HOSTING_PROVIDER_NAME)%'
    hosting_provider_email: '%env(string:HOSTING_PROVIDER_EMAIL)%'
    hosting_provider_phone_number: '%env(string:HOSTING_PROVIDER_PHONE_NUMBER)%'
    hosting_provider_website: '%env(string:HOSTING_PROVIDER_WEBSITE)%'
    no_reply_email_address: '%env(string:NO_REPLY_EMAIL_ADDRESS)%'
    support_system: '%env(string:SUPPORT_SYSTEM)%'
    support_email_address: '%env(string:SUPPORT_EMAIL_ADDRESS)%'
    support_public_email_address: '%env(string:SUPPORT_PUBLIC_EMAIL_ADDRESS)%'
    support_public_phone_number: '%env(string:SUPPORT_PUBLIC_PHONE_NUMBER)%'
    os_ticket_api_url: '%env(string:OS_TICKET_API_URL)%'
    os_ticket_api_token: '%env(string:OS_TICKET_API_TOKEN)%'
    hall_of_inspiration_api_url: '%env(string:HALL_OF_INSPIRATION_API_URL)%'
    hystreet_api_url: '%env(string:HYSTREET_API_URL)%'
    hystreet_content_type: '%env(string:HYSTREET_CONTENT_TYPE)%'
    zielbildcheck_api_url: '%env(string:ZIELBILDCHECK_API_URL)%'
    google_maps_api_key: '%env(string:GOOGLE_MAPS_API_KEY)%'
    nace_classification_file_path: '%env(string:NACE_CLASSIFICATION_FILE_PATH)%'
    industry_classification_file_path: '%env(string:INDUSTRY_CLASSIFICATION_FILE_PATH)%'
    excel_import_template_xlsx_file_path: '%env(string:EXCEL_IMPORT_TEMPLATE_XLSX_FILE_PATH)%'
    settlement_concept_api_documentation_file_path: '%env(string:SETTLEMENT_CONCEPT_API_DOCUMENTATION_FILE_PATH)%'
    ftp_user_uid: '%env(int:FTP_USER_UID)%'
    ftp_user_gid: '%env(int:FTP_USER_GID)%'
    ftp_user_shell: '%env(string:FTP_USER_SHELL)%'
    ftp_user_homedir_base_path: '%env(string:FTP_USER_HOMEDIR_BASE_PATH)%'
    open_immo_ftp_hostname: '%env(string:OPEN_IMMO_FTP_HOSTNAME)%'
    open_immo_uploads_path: '%env(string:OPEN_IMMO_UPLOADS_PATH)%'
    open_immo_imports_path: '%env(string:OPEN_IMMO_IMPORTS_PATH)%'
    open_immo_temp_path: '%env(string:OPEN_IMMO_TEMP_PATH)%'
    open_immo_export_temp_path: '%env(string:OPEN_IMMO_EXPORT_TEMP_PATH)%'
    anonymize_backup_enabled: '%env(bool:ANONYMIZE_BACKUP_ENABLED)%'
    anonymize_backup_time_till_delete: '%env(int:ANONYMIZE_BACKUP_TIME_TILL_DELETE)%'
    time_till_hard_delete: '%env(int:TIME_TILL_HARD_DELETE)%'
    place_dump_location: '%env(string:PLACE_DUMP_LOCATION)%'
    parent_place_child_place_dump_location: '%env(string:PARENT_PLACE_CHILD_PLACE_DUMP_LOCATION)%'
    geolocation_point_dump_location: '%env(string:GEOLOCATION_POINT_DUMP_LOCATION)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        bind:
            $secret: '%kernel.secret%'
            $appDefaultUri: '%app_default_uri%'
            $defaultUriForPdfGenerator: '%default_uri_for_pdf_generator%'
            $projectDir: '%kernel.project_dir%'
            $filesDirectoryPath: '%files_directory_path%'
            $noReplyEmailAddress: '%no_reply_email_address%'
            $supportSystem: '%support_system%'
            $supportEmailAddress: '%support_email_address%'
            $supportPublicEmailAddress: '%support_public_email_address%'
            $supportPublicPhoneNumber: '%support_public_phone_number%'
            $osTicketApiUrl: '%os_ticket_api_url%'
            $osTicketApiToken: '%os_ticket_api_token%'
            $hallOfInspirationApiUrl: '%hall_of_inspiration_api_url%'
            $hystreetApiUrl: '%hystreet_api_url%'
            $hystreetContentType: '%hystreet_content_type%'
            $zielbildcheckApiUrl: '%zielbildcheck_api_url%'
            $googleMapsApiKey: '%google_maps_api_key%'
            $naceClassificationFilePath: '%nace_classification_file_path%'
            $industryClassificationFilePath: '%industry_classification_file_path%'
            $excelImportTemplateXlsxFilePath: '%excel_import_template_xlsx_file_path%'
            $settlementConceptApiDocumentationFilePath: '%settlement_concept_api_documentation_file_path%'
            $ftpUserUid: '%ftp_user_uid%'
            $ftpUserGid: '%ftp_user_gid%'
            $ftpUserShell: '%ftp_user_shell%'
            $ftpUserHomedirBasePath: '%ftp_user_homedir_base_path%'
            $openImmoFtpHostname: '%open_immo_ftp_hostname%'
            $openImmoUploadsPath: '%open_immo_uploads_path%'
            $openImmoImportsPath: '%open_immo_imports_path%'
            $openImmoExportTempPath: '%open_immo_export_temp_path%'
            $openImmoTempPath: '%open_immo_temp_path%'
            $anonymizeBackupEnabled: '%anonymize_backup_enabled%'
            $anonymizeBackupTimeTillDelete: '%anonymize_backup_time_till_delete%'
            $timeTillHardDelete: '%time_till_hard_delete%'
            $placeDumpLocation: '%place_dump_location%'
            $parentPlaceChildPlaceDumpLocation: '%parent_place_child_place_dump_location%'
            $geolocationPointDumpLocation: '%geolocation_point_dump_location%'

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Domain/Entity/'
            - '../src/TaodEarlyWarningSystem/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

when@dev:
    services:
        Symfony\Component\HttpKernel\Profiler\Profiler: '@profiler'
